> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to Push Notifications

> Register device for push notifications using Firebase Cloud Messaging (FCM) with support for app-specific or global subscriptions



## OpenAPI

````yaml /openapi/alerts.json post /v2/push/subscribe
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/push/subscribe:
    post:
      tags:
        - Integrate an Inbox
      summary: Subscribe to Push Notifications
      description: >-
        Register device for push notifications using Firebase Cloud Messaging
        (FCM) with support for app-specific or global subscriptions
      operationId: subscribeToPushNotifications
      parameters:
        - name: X-Dialect-Client-Key
          in: header
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: string
                  format: uuid
                  description: Application ID
                  example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                deviceId:
                  type: string
                fcmToken:
                  type: string
                  minLength: 1
              required:
                - fcmToken
      responses:
        '202':
          description: Push subscription accepted
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                required:
                  - error
        '401':
          description: Unauthorized
        '422':
          description: Constraint validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - subscriber: []
components:
  securitySchemes:
    subscriber:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication for subscriber calls

````